Name:    arabicwordslider
Summary(ar): لعبة الحروف العربية
Summary: Arabic word game
Version: 0.5
Release: 23%{?dist}
License: GPL
Url:     http://arabicwordslide.sourceforge.net/
Source0: ArabicWordSlider.zip
Source1: %{name}
Source2: %{name}.desktop
Source3: %{name}.png
BuildRequires: python2-devel
#BuildRequires: python-setuptools
BuildRequires:	desktop-file-utils
BuildRequires: ImageMagick
BuildRequires: unzip
Requires:      pygame
BuildArch: noarch

%description -l ar
 الكلمة المنزلقة، لعبة كلمات عربية، اجمع الحروف لتكون الكلمات المطلوبة على الشاشة.
 
%description
Arabic word game, collect letters and make words.

%prep
%setup -q -c %{name}-%{version}
chmod 666 menu/scores.dat

%build
#Nothing To Build.

%install
mkdir -p %{buildroot}{%{_datadir}/%{name},%{_datadir}/applications,%{_bindir}}
cp -r * %{buildroot}/%{_datadir}/%{name}

install -D -m 755 %{SOURCE1} %{buildroot}%{_bindir}
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications

# Install icon
for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  %{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps
  convert -size 128x128 %{SOURCE3} -resize ${res} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps/%{name}.png
done;

desktop-file-install %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*

%changelog
* Fri Feb 28 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.5-23
- Fix Attrs.

* Tue Feb 25 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.5-22
- General Revision.

* Sat Feb 02 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> 0.5-1
- Initial Build
